import 'package:design_system/design_system.dart';
import 'package:flutter/material.dart';

class EmergencyContactInfoBanner extends StatelessWidget {
  const EmergencyContactInfoBanner({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.all(UiConstants.space4),
      decoration: BoxDecoration(
        color: UiColors.accent.withValues(alpha: 0.2),
        borderRadius: UiConstants.radiusLg,
      ),
      child: Text(
        'Please provide at least one emergency contact. This information will only be used in case of an emergency during your shifts.',
        style: UiTypography.body2r.textPrimary,
      ),
    );
  }
}
